CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.16. CUpti_ActivityMarker Struct Reference

## [CUPTI Activity API]

The marker is specified with a descriptive name and unique id (CUPTI_ACTIVITY_KIND_MARKER).

### Public Variables

CUpti_ActivityFlag flags
uint32_t id
CUpti_ActivityKind kind
const char * name
union CUpti_ActivityObjectKindId objectId
CUpti_ActivityObjectKind objectKind
uint64_t timestamp

### Variables

CUpti_ActivityFlag CUpti_ActivityMarker::flags [inherited]

  The flags associated with the marker.

  See also:

  CUpti_ActivityFlag

uint32_t CUpti_ActivityMarker::id [inherited]

  The marker ID.

CUpti_ActivityKind CUpti_ActivityMarker::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_MARKER.

const char * CUpti_ActivityMarker::name [inherited]

  The marker name for an instantaneous or start marker. This will be NULL for an end marker.

union CUpti_ActivityObjectKindId CUpti_ActivityMarker::objectId [inherited]

  The identifier for the activity object associated with this marker. 'objectKind' indicates which ID is valid for this record.

CUpti_ActivityObjectKind CUpti_ActivityMarker::objectKind [inherited]

  The kind of activity object associated with this marker.

uint64_t CUpti_ActivityMarker::timestamp [inherited]

  The timestamp for the marker, in ns. A value of 0 indicates that timestamp information could not be collected for the marker.